@import url('https://fonts.googleapis.com/css2?family=Roboto+Slab:wght@200&display=swap');

@import url('https://fonts.googleapis.com/css2?family=Arimo&family=EB+Garamond&family=Roboto+Slab:wght@200&display=swap');


*{ 
    padding: 0;
    margin: 0%;
    font-family: 'Roboto Slab', serif;
    box-sizing: border-box;
    list-style-type: none;
}


body{
    height: 100vh;
    background-repeat: no-repeat;
    background-position: 62% 0%;
    background-size: cover;
    background-image: url(../src/fundo.jpg);
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}


.menu{
    display: flex;
    padding-top: 1.5%;
    padding-left: 3%;
    align-items: center;
    justify-content: space-between; 
}

.menu ul{
    
    display: flex;
    flex-wrap: wrap;
    gap: 1.7em;
}


.menu a{
    text-decoration: none;
    color: black;
    font-weight:bold;
    font-size: clamp(15px, 1.5vw, 55px);
}

.menu a::after{
    content: " ";
    height: 4px;
    width: 0%;
    display: block;
    position: absolute;
    background-color: #A48A6F;
    border-radius: 20px;
}

.menu li:hover{
    
    transform: scale(1.2);
    transform: translateY(-1px);
    transition: 0.2s;
}


.menu a:hover::after{
    width: 100%;
    transition: 0.3s;    
}


.logoDesktop{
    height: 9vh;
    margin-right: 2%;
    border-radius: 50%; 
    transition: 0.5s;
}

.logoDesktop:hover{
    height: 12vh;
    transition: 0.3s;
}

.menuMobile{
    display: none;
}

.navegacaoMobile{
    display: flex;
    flex-direction: column;
    background-color: #d4bfaa;
    padding: 10px; 
    position: absolute;
    right: 15px;
    z-index: 2;
    border-radius: 100%;
    transition: 1s;
    height: 10%;
    width: 10%;
}

.navegacaoMobile ul{
    padding: 5px;
    border-radius: 5px;
}

.navMob{
    display: none;
}

.open{
    display: block;
    transition: 0.5s;
}

.telaCheia{
    top: 0;
    right: 0;
    border-radius: 0%;
    width: 100vw;
    height: 100vh;
    
    transition:0.5s;
}

.navegacaoMobile li{
    margin-bottom: 20px;
    text-align: center;
    margin: 70px;  

}

.navegacaoMobile a{
    text-decoration: none;
    color: white;
    font-weight: bold;
    font-size: 3.5vh;
}



.botaoMenu{
    border: none;
    align-self: self-end;
    background-color: transparent;
    transition: 1s;
}

.roda{
    transform: rotate(90deg);
    transition: 1s;
}



article{
    display: flex;
    align-items: center; 
}



.ladoEsquerdo{
    display: flex;
}


.ladoEsquerdo img{
    width: 40%;
    margin: 0 2% 0 5%;
       
}

.texto{
    margin: auto 0;
    width: 40%;
}

.texto h1{
    font-size: clamp(20px, 4vw, 80px);
    letter-spacing: 4px;
    color: #493234;
    font-weight: bolder;
}


.texto p{
    font-size: clamp(16px, 1.2vw, 300px);
    letter-spacing: 1px;
    font-weight: lighter;
}


.natural{
    display: flex;
    align-items: center;
    padding-bottom: 3vh;

}

.natural img{
    height: 9vh;
    width: 9vh;
    border-radius: 100%;
    background-color: #ffffff;
    box-shadow: -2px 2px 8px 2px grey;
    transition: 0.3s;
    padding: 1vh;
    margin-right: 5px;  
}


.natural img:hover{
    background-color: rgba(172, 172, 172, 0.432);
}


.descricao {
    font-size: clamp(12px, 1.1vw, 300px);
    padding-left: 4%;
    color: a7a7a7;
}

.descricao h3{
    margin-bottom: 3px;
}

footer{
    display: flex;
    justify-content: flex-end;
    padding-right: 2%;
    gap: 19px;
}

footer img{
    height: 4vh;
}

footer a{
   
    border-radius: 100%;
    transition: 0.5s;
    margin-bottom: 10px;
}

footer a:hover{
    transform: translateY(-5px)
}


@media(max-width:1600px){
        
    .natural img{
        height: 8vh;
        width: 8vh;
    }


}


@media(max-width:1300px){
    .ladoEsquerdo{
       flex-wrap: wrap;
    }
    .ladoEsquerdo img{
        width: 30%;
        margin: 0 auto;
        
    }

    .texto{
        width: 100%;
        text-align: center;
    }

    .texto p{
        text-align: center;
    }

    .natural img{
        height: 7vh;
        width: 7vh;
    }
}



@media(max-width:830px){

    body{

        background-position: 72% 0%;
    }
    

    .menu{
        display: none;
    }

    .menuMobile{
        display: flex;
        justify-content: space-between;
        margin: 15px;
    }

    .logoMobile{
        height: 6vh;
        width: 6vh;
        border-radius: 100%;
    }


    

    
    article{
        flex-direction: column;
        justify-content: space-between;       
        gap: 20px;
    }

    .ladoEsquerdo{
        margin: 0 0 15px 0;
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;        
    }
    
    .ladoEsquerdo img{
        width: 45%;
        margin: 0 0 15px 0;
    }

    .texto{
        width: 90%;
        text-align: center;
        margin: 0 auto;
    }



    .ladoDireito{
        display: flex;
        width: 95%;
        flex-direction: row;
        flex-wrap: wrap;

    }
    .natural{
        width: 50%;
        padding: 10px 33px;
    }

    .natural img{
        height: 6vh;
        width: 6vh;
        
    }

    .natural p{
        display: none;
    }

    .descricao{
        padding: 0px 5px;
    }



}

@media(max-height:650px){

    .ladoEsquerdo{
        margin: 0;
        flex-wrap: nowrap;
        flex-direction: row;
        justify-content: center;
        gap: 0px;
     }


     .ladoEsquerdo img{
         width:40%;
        gap: 0;
        margin: 0;
         
     }

     .ladoDireito{
        width: 46%;
     }
 
     .texto{
         width: 26%;
         text-align: center;
         margin: auto 0;
     }
     
     .texto h1{
        font-size: clamp(20px, 3vw, 80px);
     }

     .texto p{
         text-align: center;
         font-size: clamp(12px, 1.2vw, 300px);
     }
 
     .natural img{
         height: 7vh;
         width: 7vh;
     }

     article{
        flex-direction: row;
        justify-content: center;
    }


    .natural{
        width: auto;
        flex-direction: row;
        width: auto;
        padding: 5px 20px;
    }
    

}